VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2:
[legend]

## Public Member Functions

| ImageMemoryRequirementsInfo2 (Image image_=Image())
| ImageMemoryRequirementsInfo2 (VkImageMemoryRequirementsInfo2 const &rhs)
ImageMemoryRequirementsInfo2 & | operator= (VkImageMemoryRequirementsInfo2 const &rhs)
ImageMemoryRequirementsInfo2 & | setPNext (const void *pNext_)
ImageMemoryRequirementsInfo2 & | setImage (Image image_)
| operator VkImageMemoryRequirementsInfo2 const & () const
| operator VkImageMemoryRequirementsInfo2 & ()
bool | operator== (ImageMemoryRequirementsInfo2 const &rhs) const
bool | operator!= (ImageMemoryRequirementsInfo2 const &rhs) const

## Data Fields

const void * | pNext = nullptr
Image | image

## Private Attributes

StructureType | sType = StructureType::eImageMemoryRequirementsInfo2

## Detailed Description

Definition at line 15947 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageMemoryRequirementsInfo2() [1/2]

VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::ImageMemoryRequirementsInfo2 | ( | Image | image_ = `Image()` | ) |

inline

Definition at line 15949 of file vulkan.hpp.

: image( image_ )
{
}

## ImageMemoryRequirementsInfo2() [2/2]

VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::ImageMemoryRequirementsInfo2 | ( | VkImageMemoryRequirementsInfo2 const & | rhs | ) |

inline

Definition at line 15954 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageMemoryRequirementsInfo2 ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageMemoryRequirementsInfo2 &()

VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::operator VkImageMemoryRequirementsInfo2 & | ( |  | ) |

inline

Definition at line 15981 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageMemoryRequirementsInfo2*>(this);
}

## operator VkImageMemoryRequirementsInfo2 const &()

VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::operator VkImageMemoryRequirementsInfo2 const & | ( |  | ) | const

inline

Definition at line 15976 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageMemoryRequirementsInfo2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::operator!= | ( | ImageMemoryRequirementsInfo2 const & | rhs | ) | const

inline

Definition at line 15993 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::operator= | ( | VkImageMemoryRequirementsInfo2 const & | rhs | ) |

inline

Definition at line 15959 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageMemoryRequirementsInfo2 ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::operator== | ( | ImageMemoryRequirementsInfo2 const & | rhs | ) | const

inline

Definition at line 15986 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( image == rhs.image );
}

References image, pNext, and sType.

Referenced by operator!=().

## setImage()

ImageMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::setImage | ( | Image | image_ | ) |

inline

Definition at line 15970 of file vulkan.hpp.

{
image = image_;
return *this;
}

## setPNext()

ImageMemoryRequirementsInfo2& VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 15964 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## image

Image VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::image

Definition at line 16003 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::pNext = nullptr

Definition at line 16002 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::sType = StructureType::eImageMemoryRequirementsInfo2

private

Definition at line 15999 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

image
GLeglImageOES image
Definition: SDL_opengl.h:2148
VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::image
Image image
Definition: vulkan.hpp:16003
VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::pNext
const void * pNext
Definition: vulkan.hpp:16002
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::operator==
bool operator==(ImageMemoryRequirementsInfo2 const &rhs) const
Definition: vulkan.hpp:15986
VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::ImageMemoryRequirementsInfo2
ImageMemoryRequirementsInfo2(Image image_=Image())
Definition: vulkan.hpp:15949
VULKAN_HPP_NAMESPACE::ImageMemoryRequirementsInfo2::sType
StructureType sType
Definition: vulkan.hpp:15999
VkImageMemoryRequirementsInfo2
Definition: vulkan_core.h:4126